package de.frajul.endlessroll.main.game;

import de.frajul.endlessroll.entities.particles.ParticleSystem;
import de.frajul.endlessroll.entities.shapes.PlayerShape;
import de.frajul.endlessroll.entities.textures.TexturePack;
import de.frajul.endlessroll.levels.worlds.World;
import de.frajul.endlessroll.main.GameActivity;

public class TestScreenScene extends Scene {

    public TestScreenScene(GameActivity gameActivity, TexturePack texturePack, ParticleSystem particleSystem) {
        super(gameActivity, texturePack, particleSystem);
        terrain.createEndless(World.GRASSLANDS, 0.6f);
        background.changeTexture(World.ICY_MOUNTAINS.getBackgroundTexture());

        player.init(PlayerShape.BALL, 0.6f, 0.5f, 0.5f, particleSystem);
        uncategorizedEntities.add(player);
    }
}